r655 - scripts/trunk

Bruno Fuddl-guestquot; Fuddl" Kleinert fuddl-guest at costa.debian.org
Tue May 9 09:41:37 UTC 2006


Author: fuddl-guest
Date: 2006-05-09 09:41:36 +0000 (Tue, 09 May 2006)
New Revision: 655

Added:
   scripts/trunk/nexuiz-prepare.sh
Log:
added a quick 'n dirty script to prepare .orig tarballs for nexuiz and nexuiz-data


Added: scripts/trunk/nexuiz-prepare.sh
===================================================================
--- scripts/trunk/nexuiz-prepare.sh	2006-05-09 09:35:00 UTC (rev 654)
+++ scripts/trunk/nexuiz-prepare.sh	2006-05-09 09:41:36 UTC (rev 655)
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+VERSION=1.5
+ARCHIVE=nexuiz-15.zip
+ENGINEZIP=nexuizenginesource20060213.zip
+
+if [ $# != 1 ]; then
+	echo "Usage: nexuiz-prepare.sh /path/to/nexuiz-15.zip"
+	exit 1
+fi
+
+if [ ! -f /usr/bin/unzip ]; then
+	echo "Please aptitude install unzip"
+	exit 1
+fi
+
+if [ ! -f $1/$ARCHIVE ]; then
+	echo "Couldn't find $ARCHIVE in path $1"
+	exit 3
+fi
+
+echo "Using $1/$ARCHIVE as source archive"
+rm -rf ./nexuiz-tmp
+mkdir -p ./nexuiz-tmp && cd ./nexuiz-tmp && unzip ../$1/$ARCHIVE && cd ..
+if [ "$?" != "0" ]; then
+	echo "Failed to get unzip $ARCHIVE, bailing out..."
+	rm -rf ./nexuiz-tmp
+	exit 1;
+fi
+
+echo "Creating engine tarball..."
+cd ./nexuiz-tmp/Nexuiz && unzip $ENGINEZIP && \
+mkdir -p nexuiz-$VERSION && mv darkplaces Docs nexuiz-$VERSION &&
+tar -czf ../../nexuiz_$VERSION.orig.tar.gz nexuiz-$VERSION
+
+cd ../..
+
+echo "Creating data tarball..."
+cd ./nexuiz-tmp/Nexuiz && \
+mkdir -p nexuiz-data-$VERSION && mv data nexuiz-data-$VERSION && \
+tar -czf ../../nexuiz-data_$VERSION.orig.tar.gz nexuiz-data-$VERSION
+
+if [ "$?" != "0" ]; then
+	echo "Aieeeeee!!! Something went wrong. Bailing out..."
+fi
+
+cd ../../
+
+rm -rf ./nexuiz-tmp
+
+exit 0


Property changes on: scripts/trunk/nexuiz-prepare.sh
___________________________________________________________________
Name: svn:executable
   + *




More information about the Pkg-games-commits mailing list